Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class GroovyClassOperation

Constructor Summary
`GroovyClassOperation()`

Method Summary
`void` | `applyToGeneratedGroovyClasses(GroovyClassOperation body)`
`void` | `applyToPrimaryClassNodes(PrimaryClassNodeOperation body)` A loop driver for applying operations to all primary ClassNodes in our AST.
`void` | `call(GroovyClass gclass)`
`void` | `changeBugText(GroovyBugError e, SourceUnit context)`
`List` | `getPrimaryClassNodes(boolean sort)`
`List` | `getSorted(def index, List unsorted)`

Constructor Detail

### GroovyClassOperation

    GroovyClassOperation()

Method Detail

### applyToGeneratedGroovyClasses

    public void applyToGeneratedGroovyClasses(GroovyClassOperation body)

### applyToPrimaryClassNodes

    public void applyToPrimaryClassNodes(PrimaryClassNodeOperation body)

  A loop driver for applying operations to all primary ClassNodes in our AST. Automatically skips units that have already been processed through the current phase.

### call

    public void call(GroovyClass gclass)

### changeBugText

    void changeBugText(GroovyBugError e, SourceUnit context)

### getPrimaryClassNodes

    List getPrimaryClassNodes(boolean sort)

### getSorted

    List getSorted(def index, List unsorted)